package com.cool.store.mapper;

import com.cool.store.entity.SignFranchiseDO;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface SignFranchiseMapper extends Mapper<SignFranchiseDO> {

    SignFranchiseDO selectByShopId(@Param("shopId") Long shopId);

    void updateAuditByShopId(@Param("auditId") Long auditId,
                             @Param("shopId") Long shopId);

    List<SignFranchiseDO> selectByShopIds( @Param("list")List<Long> shopIds);
    Integer dateHandle();

    List<SignFranchiseDO> selectAllByShopIds(@Param("list")List<Long> shopIds);
    /**
     * @Auther: wangshuo
     * @Date: 2025/5/12
     * @description:数据处理用修改特定字段
     */
    Integer updateSpecific(@Param("list") List<SignFranchiseDO> list);

    List<SignFranchiseDO> getSignType(@Param("list") List<Long> shopIds);
}
